OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen_GeneralModule Class Reference

Definition of General Services for IGESDimen (specific part)
This Services comprise : Shared & Implied Lists, Copy, Check
.

`#include <IGESDimen_GeneralModule.hxx>`

Inheritance diagram for IGESDimen_GeneralModule:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDimen_GeneralModule ()
| Creates a GeneralModule from IGESDimen and puts it into GeneralLib .
Standard_EXPORT void | OwnSharedCase (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a given IGESEntity <ent>, from its specific parameters : specific for each type .
Standard_EXPORT IGESData_DirChecker | DirChecker (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent) const
| Returns a DirChecker, specific for each type of Entity (identified by its Case Number) : this DirChecker defines constraints which must be respected by the DirectoryPart .
Standard_EXPORT void | OwnCheckCase (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Performs Specific Semantic Check for each type of Entity .
Standard_EXPORT Standard_Boolean | NewVoid (const Standard_Integer CN, Handle(Standard_Transient)&entto) const
| Specific creation of a new void entity .
Standard_EXPORT void | OwnCopyCase (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&entfrom, const Handle(IGESData_IGESEntity)&entto, Interface_CopyTool &TC) const
| Copies parameters which are specific of each Type of Entity .
virtual Standard_EXPORT Standard_Integer | CategoryNumber (const Standard_Integer CN, const Handle(Standard_Transient)&ent, const Interface_ShareTool &shares) const
| Returns a category number which characterizes an entity Drawing for all .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_GeneralModule::IGESDimen_GeneralModule | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer IGESDimen_GeneralModule::CategoryNumber | ( | const Standard_Integer | CN,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_ShareTool & | shares
| ) | const`[virtual]`

| Reimplemented from Interface_GeneralModule.

Standard_EXPORT IGESData_DirChecker IGESDimen_GeneralModule::DirChecker | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT const IGESDimen_GeneralModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_GeneralModule.

Standard_EXPORT Standard_Boolean IGESDimen_GeneralModule::NewVoid | ( | const Standard_Integer | CN,
|  | Handle(Standard_Transient)& | entto
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT void IGESDimen_GeneralModule::OwnCheckCase | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT void IGESDimen_GeneralModule::OwnCopyCase | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | entfrom,
|  | const Handle(IGESData_IGESEntity)& | entto,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT void IGESDimen_GeneralModule::OwnSharedCase | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

The documentation for this class was generated from the following file:

- IGESDimen_GeneralModule.hxx